//
//  AppDelegate.m
//  jdcloud_ios_live_demo
//
//  Created by pengdandan on 2018/9/4.
//  Copyright © 2018年 pengdandan. All rights reserved.
//

#import "AppDelegate.h"
#import "JDHomeViewController.h"
#import "JDLNavigationControllerViewController.h"
#import <UserNotifications/UserNotifications.h>


@interface AppDelegate ()<UNUserNotificationCenterDelegate>
{
    NSInteger count;
}

@property(strong, nonatomic)NSTimer *mTimer;
@property(assign, nonatomic)UIBackgroundTaskIdentifier backIden;

@end

@implementation AppDelegate

//GET请求
- (void)getWithUrlString:(NSString *)url
{
    NSMutableString *mutableUrl = [[NSMutableString alloc] initWithString:url];
    
    NSString *urlEnCode = [[mutableUrl substringToIndex:mutableUrl.length - 1] stringByAddingPercentEncodingWithAllowedCharacters:[NSCharacterSet URLQueryAllowedCharacterSet]];
    NSURLRequest *urlRequest = [NSURLRequest requestWithURL:[NSURL URLWithString:urlEnCode]];
    NSURLSession *urlSession = [NSURLSession sharedSession];
    NSURLSessionDataTask *dataTask = [urlSession dataTaskWithRequest:urlRequest completionHandler:^(NSData * _Nullable data, NSURLResponse * _Nullable response, NSError * _Nullable error) {
        if (error) {
        } else {
        }
    }];
    [dataTask resume];
}


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions{

    //com.jdcloud.qmzbapp
    //[JDCloudAVSDK startWithLicense:@"JMFItEUBgNcHlZmiL/1sWbk8++chdUzTLl3x8nQx6/pkDoWRATaTjH0rSMFVQm66sT8iIOYCj/r7TrEuygsb3Xvqzl0pZs/SEyD3NX5nHXXcldiWZL+o3y+0h9uCo/0dsTdiY7YM9PVEV+G2HmLFRLVNglcvzrI0g9g6osW182M="];
    
    //com.jdweiwei.appall
    [JDCloudAVSDK startWithLicense:@"k+lUFlZ7mT8u3QRAGjCUQutMU4jKVXdkem+ufbUxGcKg2DgwOTrN9buZ3trbafMXp0Q9BIaAqL4jgs0MzbAwx6gfp/va+VkzX9KTThqFed+LX9IVrLwmr1t7BnLR2BD/enOjtskT/oUR/xO107NNhF6EkUr1OA2hiopde828l3I="];
    
    // 初始化根视图控制器
    //[self getWithUrlString:@"http://www.jd.com"];
    self.window = [[UIWindow alloc]initWithFrame:[UIScreen mainScreen].bounds];
    JDHomeViewController *vc_root = [[JDHomeViewController alloc]init];
    JDLNavigationControllerViewController *nav_root = [[JDLNavigationControllerViewController alloc]initWithRootViewController:vc_root];
    self.window.rootViewController = nav_root;
    [self.window makeKeyAndVisible];
    
//    //For ReplayKit2. 使用 UNUserNotificationCenter 来管理通知
//    if ([UIDevice currentDevice].systemVersion.floatValue >= 11.0) {
//        if (@available(iOS 10.0, *)) {
//            UNUserNotificationCenter *center = [UNUserNotificationCenter currentNotificationCenter];
//            //监听回调事件
//            center.delegate = self;
//
//            //iOS 10 使用以下方法注册，才能得到授权
//            [center requestAuthorizationWithOptions:(UNAuthorizationOptionAlert + UNAuthorizationOptionSound + UNAuthorizationOptionBadge)
//                                  completionHandler:^(BOOL granted, NSError * _Nullable error) {
//                                      // Enable or disable features based on authorization.
//                                  }];
//        } else {
//            // Fallback on earlier versions
//        }
//    }
    
    return YES;
}

-(void)jdtStart
{

}

-(void)jdbapmStart
{
}

- (void)userNotificationCenter:(UNUserNotificationCenter *)center willPresentNotification:(UNNotification *)notification withCompletionHandler:(void (^)(UNNotificationPresentationOptions))completionHandler API_AVAILABLE(ios(10.0)) API_AVAILABLE(ios(10.0)){
    
    // 处理完成后条用 completionHandler ，用于指示在前台显示通知的形式
    completionHandler(UNNotificationPresentationOptionSound + UNNotificationPresentationOptionBadge + UNAuthorizationOptionAlert);
}

- (void)userNotificationCenter:(UNUserNotificationCenter *)center didReceiveNotificationResponse:(UNNotificationResponse *)response withCompletionHandler:(void (^)(void))completionHandler
API_AVAILABLE(ios(10.0))API_AVAILABLE(ios(10.0))API_AVAILABLE(ios(10.0)) API_AVAILABLE(ios(10.0)){
    if (response.notification.request.content.userInfo.allKeys.count > 0) {
        //        NSUserDefaults *defaults = [[NSUserDefaults alloc] initWithSuiteName:kReplayKit2AppGroupId];
        //        if ([response.notification.request.content.userInfo[kReplayKit2UploadingKey] isEqualToString:kReplayKit2Uploading]) {
        //            [defaults setObject:kReplayKit2Uploading forKey:kReplayKit2UploadingKey];
        //            [defaults synchronize];
        //        }
    }
    completionHandler();
}


- (void)applicationWillResignActive:(UIApplication *)application {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and invalidate graphics rendering callbacks. Games should use this method to pause the game.
}
//
//- (UIInterfaceOrientationMask)application:(UIApplication *)application supportedInterfaceOrientationsForWindow:(UIWindow *)window
//
//{
//    
//    if (!self.allowRotation) {
//        
//        return UIInterfaceOrientationMaskPortrait;
//        
//    }
//    
//    return UIInterfaceOrientationMaskAll; //界面只能往右旋转
//    
//}
//
//-(BOOL)shouldAutorotate
//{
//    if (self.allowRotation) {
//        return YES;
//    } else {
//        return NO;
//    }
//}


- (void)applicationDidBecomeActive:(UIApplication *)application {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}


- (void)applicationWillTerminate:(UIApplication *)application {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

- (void)applicationDidEnterBackground:(UIApplication *)application {
    _mTimer = [NSTimer scheduledTimerWithTimeInterval:1 target:self selector:@selector(countAction) userInfo:nil repeats:YES];
    [[NSRunLoop currentRunLoop] addTimer:_mTimer forMode:NSRunLoopCommonModes];
    [self beginTask];
}

- (void)applicationWillEnterForeground:(UIApplication *)application {
    NSLog(@"进入前台");
    [self endBack];
}

//计时
- (void)countAction{
//    NSLog(@"countAction---->%li",count++);
}

//申请后台
-(void)beginTask
{
    NSLog(@"begin=============");
    _backIden = [[UIApplication sharedApplication] beginBackgroundTaskWithExpirationHandler:^{
        
        NSLog(@"将要挂起=============");
        [self endBack];
    }];
}

//注销后台
-(void)endBack
{
    [[UIApplication sharedApplication] endBackgroundTask:_backIden];
    _backIden = UIBackgroundTaskInvalid;
}


@end
