//
//  JDActionSheet.h
//  jdcloud_ios_live_demo
//
//  Created by 彭丹丹 on 2018/9/20.
//  Copyright © 2018年 pengdandan. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef void (^ActionControllerBlock)(NSString *buttonTitle);

@interface JDActionController : NSObject

@property (copy, nonatomic) ActionControllerBlock succBlock;

/**
 *  alert
 *
 *  @param title                提示的标题
 *  @param message              提示语
 *  @param preferredStyle       UIAlertControllerStyleActionSheet = 0, UIAlertControllerStyleAlert = 1
 *  @param titlesArray          按钮名字@[@"是",@"否"]
 *  @param superViewController  父类
 */
- (void)showAlertControllerWithTitle:(nullable NSString *)title
                             message:(nullable NSString *)message
                      preferredStyle:(UIAlertControllerStyle)preferredStyle
                   otherButtonTitles:(NSArray *)titlesArray
                 superViewController:(UIViewController*)superViewController
               actionControllerBlock:(ActionControllerBlock)succBlock;

@end


