//
//  MBProgressHUD+JDCloud.h
//  IJKMediaDemo
//
//  Created by 王亚伟 on 2018/9/21.
//  Copyright © 2018年 wangyawei All rights reserved.
//

#import "MBProgressHUD.h"

@interface MBProgressHUD (JDCloud)

/**
 展示成功的信息
 
 @param message 要展示的字
 @param view 展示view所在的视图
 */
+ (void)showSucessMessage:(NSString *)message inView:(UIView *)view;


/**
 展示警告的信息
 
 @param message 展示的文字
 @param view 展示view所在的视图
 */
+ (void)showWarningMessage:(NSString *)message inView:(UIView *)view;


/**
 展示信息
 
 @param message 信息
 @param view 展示view所在的视图
 */
+ (void)showMessage:(NSString *)message inView:(UIView *)view;

/**
 一直展示信息
 
 @param message 信息
 @param view 展示view所在的视图
 */
+ (MBProgressHUD *)showMessage:(NSString *)message alwaysInView:(UIView *)view;

@end
