//
//  PushFlowParamModel.h
//  jdcloud_ios_live_demo
//
//  Created by pengdandan on 2018/9/5.
//  Copyright © 2018年 pengdandan. All rights reserved.
//  推流设置cell中样式的model

#import <Foundation/Foundation.h>

static NSString *PushFlowParamModelReuseCellInput = @"PushFlowParamModelReuseCellInput";  //只有输入框
static NSString *PushFlowParamModelReuseCellInputButton = @"PushFlowParamModelReuseCellInputButton"; //输入框 后面按钮
static NSString *PushFlowParamModelReuseCellSwitch = @"PushFlowParamModelReuseCellSwitch"; //只有开关
static NSString *PushFlowParamModelReuseCellSegment = @"PushFlowParamModelReuseCellSegment"; //分段
static NSString *PushFlowParamModelReuseCellButton = @"PushFlowParamModelReuseCellButton"; //只有button


@interface PushFlowParamModel : NSObject

@property (nonatomic, copy) NSString *title;              //标题
@property (nonatomic, copy) NSString *placeHolder;        //输入框填写值
@property (nonatomic, copy) NSString *reuseId;            //类型标示
@property (nonatomic, copy) NSString *infoText;           //单位
@property (nonatomic, copy) NSArray *segmentTitleArray;   //选择框数组
@property (nonatomic, copy) UIImage* image;               //button图片
@property (nonatomic, assign) CGFloat defaultValue;       //默认值
@property (nonatomic, assign) BOOL defaultSwitchValue;    //默认值Switch

@property (nonatomic, copy) void(^stringBlock)(NSString *message);  //填写值回调
@property (nonatomic, copy) void(^switchBlock)(BOOL open); //开关选项回调
@property (nonatomic, copy) void(^segmentBlock)(int value); //多选项回调
@property (nonatomic, copy) void(^inputAndButtonBlock)(NSString *message,UIButton* sender); //button回调 输入框
@property (nonatomic, copy) void(^buttonBlock)(UIButton* sender);  //button回调

@end
