//
//  HomeModuleItemCell.h
//  jdcloud_ios_live_demo
//
//  Created by pengdandan on 2018/9/5.
//  Copyright © 2018年 pengdandan. All rights reserved.
//

#import "HomeModuleItemCell.h"


@implementation HomeModuleItemCell

- (void)awakeFromNib {
    [super awakeFromNib];
    self.backgroundColor = [UIColor clearColor];
    self.contentView.backgroundColor = [JDStaticTools colorWithHexString:@"#272f50"];
    self.contentView.layer.cornerRadius = 10;
    self.contentView.clipsToBounds = true;

    self.moduleLabel.font = [UIFont boldSystemFontOfSize:17 * SCALE_FONT];
}

- (void)configWithModule:(HomeModuleDefine *)aDefine{
    self.moduleLabel.text = aDefine.name;
    self.moduleBgImage.image = aDefine.image;
   // [self.moduleLabel sizeToFit];
}


@end
