//
//  JDShowDocumentViewController.m
//  jdcloud_ios_live_demo
//
//  Created by 彭丹丹 on 2018/10/4.
//  Copyright © 2018年 pengdandan. All rights reserved.
//  查看文档

#import "JDShowDocumentViewController.h"

@interface JDShowDocumentViewController ()

@end

@implementation JDShowDocumentViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor whiteColor];
    
    if ([self.title isEqualToString:@"录屏推流操作说明"]) {
        NSString *path = [[NSBundle mainBundle] pathForResource:@"RecordingInstructions" ofType:@"rtfd"];
        NSAttributedString *string = [[NSAttributedString alloc]initWithFileURL:[NSURL fileURLWithPath:path]
                                                                         options:nil
                                                              documentAttributes:nil
                                                                           error:nil];
        UITextView* textView = [[UITextView alloc] initWithFrame:self.view.bounds];
        textView.backgroundColor = [UIColor clearColor];
        textView.attributedText  = string;
        textView.editable= NO;
        textView.selectable= NO;
        textView.bounces= YES;
        textView.showsHorizontalScrollIndicator = NO;
        textView.showsVerticalScrollIndicator   = NO;
        
        [self.view addSubview:textView];
        
    }else{
        self.title = @"查看文档";
    }
}


- (void)viewWillAppear:(BOOL)animated{
    [super viewWillAppear:animated];
    self.navigationController.navigationBar.hidden = NO;
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
