//
//  VideoPlayListModel.h
//  jdcloud_ios_live_demo
//
//  Created by pengdandan on 2018/9/17.
//  Copyright © 2018年 pengdandan. All rights reserved.
//  播放列表cell对应model

#import <Foundation/Foundation.h>

@interface VideoPlayListModel : NSObject

@property (nonatomic, copy) NSString *title;                   //标题

@property (nonatomic, copy) NSString *playTime;                //时间

@property (nonatomic, copy) NSString *imageName;               //暂时不要

@property (nonatomic, copy) NSString *imageUrl;                //缩略图

@property (nonatomic, copy) NSMutableArray *videoPlayURLArr;            //播放地址URL数组

@property (nonatomic, copy) NSMutableDictionary *selectedPlayerDic;       //URL数组中 选中的

@property (nonatomic, assign) JDCloudPlayerVideoFormat videoFormat;        //选中的视频格式：Flv、M3u8、Rtmp

@property (nonatomic, assign) JDCloudPlayerVideoListType videoListType;    //视频类型：点播、直播、本地、扫码URL播放视频

@property (nonatomic, assign)NSTimeInterval progress;                      //记录播放器进度条进度，非播放进度

@property (nonatomic, assign) BOOL shouldPlayNOWiFi;                       //相同视频是否允许非WiFi情况下播放

@property (nonatomic, strong)NSString *extSubtitleUrl;                     //外挂字幕的地址

@property (nonatomic, assign) BOOL isMirrorPlay;           //是否镜像播放

@end

