//
//  VideoListMainView.h
//  jdcloud_ios_live_demo
//
//  Created by 彭丹丹 on 2018/10/30.
//  Copyright © 2018年 pengdandan. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "JDVideoPlayContextProtocol.h"

@protocol VideoListMainViewButtonClickDelegate <NSObject>

- (void)videoListMainViewButtonClickAction:(UIButton *)sender;

@end

@interface VideoListMainView : UIView

@property (assign, nonatomic) id<VideoListMainViewButtonClickDelegate> delegate;

- (instancetype)initWithFrame:(CGRect)frame withContext:(id<JDVideoPlayContextProtocol>)context;

- (void)buttonClickActionWithButtonTag:(NSInteger)tag;


@end


