//
//  JDCloudPlayerViewSlider.m
//  IJKMediaDemo
//
//  Created by 王亚伟 on 2018/9/18.
//  Copyright © 2018年 wangyawei All rights reserved.
//

#import "JDCloudPlayerViewSlider.h"

@implementation JDCloudPlayerViewSlider

- (void)dealloc
{
    
}

- (void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event{
    CGRect t = [self trackRectForBounds: [self bounds]];
    float v = [self minimumValue] + ([[touches anyObject] locationInView: self].x - t.origin.x - 4.0) * (([self maximumValue]-[self minimumValue]) / (t.size.width - 8.0));
    
    if ([self.sliderDelegate respondsToSelector:@selector(jdCloudPlayerViewSlider:clickedSlider:)] ) {
        [self.sliderDelegate jdCloudPlayerViewSlider:self clickedSlider:v];
    }
    [super touchesBegan: touches withEvent: event];
}

- (void)touchesEnded:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event
{
    CGRect t = [self trackRectForBounds: [self bounds]];
    float v = [self minimumValue] + ([[touches anyObject] locationInView: self].x - t.origin.x - 4.0) * (([self maximumValue]-[self minimumValue]) / (t.size.width - 8.0));
    
    if ([self.sliderDelegate respondsToSelector:@selector(jdCloudPlayerViewSlider:endTouchSlider:)] ) {
        [self.sliderDelegate jdCloudPlayerViewSlider:self endTouchSlider:v];
    }
    [super touchesBegan: touches withEvent: event];
}


@end
