//
//  JDCloudMainVideoPlayView.h
//  jdcloud_ios_live_demo
//
//  Created by 彭丹丹 on 2018/10/9.
//  Copyright © 2018年 pengdandan. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "JDVideoPlayContextProtocol.h"
#import "JDCloudReachability.h"

@interface JDCloudMainVideoPlayView : UIView

@property (nonatomic, strong) JDCloudPlayer *jdCloudPlayer;                  //播放器

@property(nonatomic,assign,readonly)BOOL isLocked;

@property(nonatomic,assign)JDCloudNetworkStatus networkStatus;


//初始化
- (instancetype)initWithFrame:(CGRect)frame withContext:(id<JDVideoPlayContextProtocol>)context;

//重设URl
- (void)playWithPlayerInfoModel:(VideoPlayListModel *)infoModel;

- (void)showLoadingView;


@end
