//
//  JDSThumbnail.h
//  jdcloud_shortvideo_ios
//
//  Created by 杜治全 on 2019/5/20.
//  Copyright © 2019 com.jdcloud. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <AVFoundation/AVFoundation.h>

@class JDSMovieTimeLineItem;
@class JDSThumbnail;

NS_ASSUME_NONNULL_BEGIN

/*!
 @class JDSThumbnail
 @abstract 京东云编辑SDK-缩略图实体类
 @discussion 缩略图实体类
 */
@interface JDSThumbnail : NSObject

///*!
// @abstract 缩略图id，标记该缩略图
// */
//@property (nonatomic, copy) NSString* key;

/*!
 @abstract 整体时间点
 */
@property (nonatomic, assign) CMTime timeInWhole;
/*!
 @abstract 本段时间点
 */
@property (nonatomic, assign) CMTime timeInAsset;
/*!
 @abstract 时长
 */
@property (nonatomic, assign) CMTime duration;
/*!
 @abstract 缩略图
 */
@property (nonatomic, strong) UIImage * _Nullable image;

@end

NS_ASSUME_NONNULL_END
