//
//  JDHttpRequest.h
//  jdcloud_ios_live_demo
//
//  Created by pengdandan on 2018/9/4.
//  Copyright © 2018年 pengdandan. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol HttpRequestDelegate <NSObject>

//http请求成功回调
- (void)RequestSuccessWithDataDic:(NSDictionary *)data withTag:(int)tag;

//http请求失败回调
- (void)RequestFailedWithErr:(NSError*)error withTag:(int)tag;

@end

@interface JDHttpRequest : NSObject

@property (assign, nonatomic) id<HttpRequestDelegate> delegate;

//发送GET请求
- (void)sendGetRequstToUrl:(NSString *)url withParam:(NSString*)str withTag:(int)tag;

//发送POST请求
- (void)sendPostRequestToUrl:(NSString*)url withParam:(NSDictionary*)dic withTag:(int)tag;

//取消请求
- (void)cancelRequest;

@end
