//
//  LinkRoomTestViewController.m
//  jdcloud_videotools
//
//  Created by xiongyong19 on 2021/6/30.
//  Copyright © 2021 pengdandan. All rights reserved.
//

#import "LinkRoomTestViewController.h"

static NSString* s_RTC_RoomId = @"30001";
static NSString* s_RTC_Local_userId = @"201";
static NSString* s_RTC_Remote_userId = nil;

@interface LinkRoomTestViewController ()
@property(nonatomic,strong)UITextField* textField1;
@property(nonatomic,strong)UITextField* textField2;
@property(nonatomic,strong)UITextField* textField3;
@end

@implementation LinkRoomTestViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor whiteColor];
    
    UILabel* label1 = [[UILabel alloc] init];
    label1.textColor = [UIColor blackColor];
    [self.view addSubview:label1];
    label1.text = @"主播PK信息";
    label1.frame = CGRectMake(20, 20, ScreenWidth-20*2, 36);
    label1.font = [UIFont boldSystemFontOfSize:14];
    
    UITextField* tf1 = [[UITextField alloc]init];
    tf1.placeholder = @"房间ID";
    tf1.borderStyle = UITextBorderStyleRoundedRect;
    [self.view addSubview:tf1];
    tf1.frame = CGRectMake(20, 60, ScreenWidth-20*2, 36);
    tf1.textColor = [UIColor blackColor];
    tf1.font = [UIFont systemFontOfSize:11];
    self.textField1 = tf1;
    
    UITextField* tf2 = [[UITextField alloc]init];
    tf2.placeholder = @"本地用户ID";
    tf2.borderStyle = UITextBorderStyleRoundedRect;
    [self.view addSubview:tf2];
    tf2.frame = CGRectMake(20, 100, ScreenWidth-20*2, 36);
    tf2.textColor = [UIColor blackColor];
    tf2.font = [UIFont systemFontOfSize:11];
    self.textField2 = tf2;
    
    UITextField* tf3 = [[UITextField alloc]init];
    tf3.placeholder = @"对端用户ID";
    tf3.borderStyle = UITextBorderStyleRoundedRect;
    [self.view addSubview:tf3];
    tf3.frame = CGRectMake(20, 140, ScreenWidth-20*2, 40);
    tf3.textColor = [UIColor blackColor];
    tf3.font = [UIFont systemFontOfSize:11];
    self.textField3 = tf3;
    
    UIButton* btn0 = [UIButton buttonWithType:UIButtonTypeCustom];
    btn0.frame = CGRectMake(ScreenWidth-80, 10, 60, 40);
    [btn0 setTitle:@"关闭" forState:UIControlStateNormal];
    [btn0 setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
    btn0.backgroundColor = [UIColor redColor];
    btn0.titleLabel.font = [UIFont systemFontOfSize:12];
    [self.view addSubview:btn0];
    [btn0 addTarget:self action:@selector(onBtn0Action:) forControlEvents:UIControlEventTouchUpInside];
    
    UIButton* btn1 = [UIButton buttonWithType:UIButtonTypeCustom];
    btn1.frame = CGRectMake(20, 190, 100, 40);
    [btn1 setTitle:@"开始连麦PK" forState:UIControlStateNormal];
    [btn1 setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
    btn1.backgroundColor = [UIColor redColor];
    btn1.titleLabel.font = [UIFont systemFontOfSize:12];
    [self.view addSubview:btn1];
    [btn1 addTarget:self action:@selector(onBtn1Action:) forControlEvents:UIControlEventTouchUpInside];
    
    UIButton* btn2 = [UIButton buttonWithType:UIButtonTypeCustom];
    btn2.frame = CGRectMake(130, 190, 100, 40);
    [btn2 setTitle:@"结束连麦PK" forState:UIControlStateNormal];
    [btn2 setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
    btn2.backgroundColor = [UIColor redColor];
    btn2.titleLabel.font = [UIFont systemFontOfSize:12];
    [self.view addSubview:btn2];
    [btn2 addTarget:self action:@selector(onBtn2Action:) forControlEvents:UIControlEventTouchUpInside];
    self.textField1.text = s_RTC_RoomId;
    self.textField2.text = s_RTC_Local_userId;
    self.textField3.text = s_RTC_Remote_userId;
}

-(void)viewWillDisappear:(BOOL)animated
{
    [super viewWillDisappear:animated];
    
    s_RTC_RoomId = self.textField1.text;
    s_RTC_Local_userId = self.textField2.text;
    s_RTC_Remote_userId = self.textField3.text;
}

-(void)onBtn0Action:(id)sender
{
    [self dismissViewControllerAnimated:YES completion:nil];
}

-(void)onBtn1Action:(id)sender
{
    NSDictionary* dic = @{
        @"TF1":_textField1.text,
        @"TF2":_textField2.text,
        @"TF3":_textField3.text
    };
    [_context onLinkRoomAction1:dic];
    
    [self dismissViewControllerAnimated:YES completion:nil];
}

-(void)onBtn2Action:(id)sender
{
    [_context onLinkRoomAction2:nil];
    
    [self dismissViewControllerAnimated:YES completion:nil];
}

@end
