//
//  TimestampWaterMarkEditView.m
//  jdcloud_ios_live_demo
//
//  Created by 杜治全 on 2018/9/30.
//  Copyright © 2018年 pengdandan. All rights reserved.
//

#import "TimestampWaterMarkEditView.h"

@implementation TimestampWaterMarkEditView

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    
    self.label = [[UILabel alloc] init];
    self.label.textAlignment = NSTextAlignmentCenter;
    [self.contentView addSubview:self.label];
    
    return self;
}

- (void)layoutSubviews
{
    [super layoutSubviews];
    
    CGRect rect = CGRectInset(self.contentView.bounds, 0, 0);
    [self.label setFrame:rect];
}

- (void)setText:(NSString*)text
{
    [self.label setText:text];
}

- (void)setTextColor:(UIColor*)color
{
    [self.label setTextColor:color];
}

- (void)setTextFont:(UIFont*)font
{
    [self.label setFont:font];
}

- (void)setAlpha:(CGFloat)alpha
{
    [self.label setAlpha:alpha];
}

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
