//
//  HomeModuleDefine.h
//  jdcloud_ios_live_demo
//
//  Created by pengdandan on 2018/9/5.
//  Copyright © 2018年 pengdandan. All rights reserved.
//  首页模块的model

#import <Foundation/Foundation.h>

typedef NS_ENUM(NSInteger,JD_Live_ModuleType){
    
    JD_Live_ModuleType_PushFlow = 1 << 0,//（开始推流）
    JD_Live_ModuleType_VideoPlay = 1 << 1, //视频播放
    JD_Live_ModuleType_VideoEdit = 1 << 2, //视频编辑
};

@interface HomeModuleDefine : NSObject

//模块名字
@property (strong, nonatomic, readonly) NSString *name;

//模块图片
@property (strong, nonatomic, readonly) UIImage *image;

//类型
@property (assign, nonatomic) JD_Live_ModuleType type;


//初始化模块类型
- (instancetype)initWithModuleType:(JD_Live_ModuleType )type;


@end
