//
//  HomeModuleDefine.m
//  jdcloud_ios_live_demo
//
//  Created by pengdandan on 2018/9/5.
//  Copyright © 2018年 pengdandan. All rights reserved.
//

#import "HomeModuleDefine.h"

@implementation HomeModuleDefine

- (instancetype)init
{
    self = [self initWithModuleType:JD_Live_ModuleType_PushFlow];
    return self;
}

//初始化模块类型
- (instancetype)initWithModuleType:(JD_Live_ModuleType )type
{
    self = [super init];
    if (self) {
        self.type = type;
        [self nameWithModuleType:type];
    }
    return self;
}


//模块对应
- (void)nameWithModuleType:(JD_Live_ModuleType )type
{
    switch (type) {
        case JD_Live_ModuleType_PushFlow:
        {
            _name = @"推流工具";
            _image = [UIImage imageNamed:@"首页_开始推流"];
        }
            break;
        case JD_Live_ModuleType_VideoPlay:
        {
            _name = @"播放工具";
            _image = [UIImage imageNamed:@"开始直播"];
        }
            break;
        default:
            break;
    }
}



@end
