//
//  JDCloudPlayerBottomView.h
//  IJKMediaDemo
//
//  Created by 王亚伟 on 2018/9/18.
//  Copyright © 2018年 wangyawei All rights reserved.
//

#import <UIKit/UIKit.h>
#import "JDVideoPlayContextProtocol.h"
#import "JDCloudPlayerProgressView.h"

@interface JDCloudPlayerBottomView : UIView

@property (nonatomic, assign) float progress;                       //滑动progressValue值
@property (nonatomic, assign) float loadTimeProgress;               //缓存progressValue
@property (nonatomic, assign) BOOL isPortrait;                      //竖屏判断
@property (nonatomic, assign) BOOL progressCanUpdate;               //进度条是否更新，默认是YES
@property (nonatomic, assign) NSTimeInterval currentTime;
@property (nonatomic, assign) NSTimeInterval duration;
@property (nonatomic, strong) JDCloudPlayerProgressView *progressView;//进度条


- (instancetype)initWithFrame:(CGRect)frame withContext:(id<JDVideoPlayContextProtocol>)context;

- (void)updateViewWithPlayerState:(JDCloudPlayerState)state;

- (void)updateProgressWithCurrentTime:(float)currentTime TotalTime:(float)totalTime;

//- (void)destroyBottomView;

@end
