//
//  JDCloudSeekPopupView.h
//  IJKMediaDemo
//
//  Created by 王亚伟 on 2018/9/18.
//  Copyright © 2018年 wangyawei All rights reserved.
//  快进、后退

#import <UIKit/UIKit.h>
#import "JDCloudPrivateDefine.h"

@interface JDCloudPlayerSeekPopupView : UIView

/*
 * 功能 ： 当前时间点的滑动方向，并展示
 * 参数 ： time：当前播放时间，秒
          direciton：滑动方向，左右
 */
- (void)setSeekTime:(NSTimeInterval)time direction:(UISwipeGestureRecognizerDirection)direciton;

//展示的父类
- (void)showWithParentView:(UIView *)parent;

//移除
- (void)dismissView;



@end
