//
//  JDCloudPlayerSmallWindow.h
//  jdcloud_ios_live_demo
//
//  Created by 王亚伟 on 2018/10/23.
//  Copyright © 2018年 pengdandan. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "JDVideoPlayContextProtocol.h"
NS_ASSUME_NONNULL_BEGIN

@interface JDCloudPlayerSmallWindow : UIView

- (instancetype)initWithContext:(id<JDVideoPlayContextProtocol>)context;

//悬浮窗加在window上
- (void)showInWindow;

//恢复VC
- (void)resumVC;

//销毁悬浮窗
- (void)destroyPlayer;

//隐藏播放器
- (void)hidenPlayer;

//重新展示播放器
- (void)reShowPlayer;

@end

NS_ASSUME_NONNULL_END

