////
////  JDCloudInterceptAndGifView.m
////  jdcloud_ios_live_demo
////
////  Created by 王亚伟 on 2018/11/7.
////  Copyright © 2018年 pengdandan. All rights reserved.
////
//
//#import "JDCloudInterceptAndGifView.h"
//#import "JDCloudVideoTrimmerView.h"
//#import "UIView+Additions.h"
//#import "JDCloudVideoTrimmerView.h"
//#import "JDCloudInterceptOrGifTool.h"
//#import "JDCloudVideoOrGifPreviewView.h"
//#import "JDCloudPlayerLoadingView.h"
////#import "JDVPlayer/JDCloudPlayerUtil.h"
//
//
//@interface JDCloudInterceptAndGifView()<JDCloudVideoTrimmerDelegate>
//
//@property(nonatomic, strong)UIView *blackView;
//@property(nonatomic, strong)UIButton *cancelBtn;
//@property(nonatomic, strong)UIButton *finishBtn;
//@property(nonatomic, strong)UIButton *intercepVideoBtn;
//@property(nonatomic, strong)UIButton *creatGifBtn;
//@property(nonatomic, strong)UIButton *interceptOrGifBtnSelected;
//@property(nonatomic, strong)UIView *interceptOrGifSelectedBackView;
//@property(nonatomic, strong)JDCloudVideoTrimmerView *trimmerView;
//@property(nonatomic, strong)JDCloudPlayer *player;
//@property(nonatomic, weak) id<JDVideoPlayContextProtocol> context;
//@property(nonatomic, strong)JDCloudInterceptOrGifTool *tool;
//@property(nonatomic, strong)NSTimer *timer;
//@property(nonatomic, assign)NSInteger playStartTime;
//@property(nonatomic, assign)NSInteger playEndTime;
//@property(nonatomic, strong)JDCloudPlayerLoadingView *loadingView;
//
//
//
//@end
//
//@implementation JDCloudInterceptAndGifView
//
//- (void)dealloc
//{
//    
//}
//
//- (instancetype)initWithContext:(id<JDVideoPlayContextProtocol>)context;
//{
//    self = [super initWithFrame:CGRectMake(0, 0, ScreenWidth, ScreenHeight)];
//    if (self) {
//        [self addSubview:self.blackView];
//        [self addSubview:self.cancelBtn];
//        [self addSubview:self.finishBtn];
//        [self addSubview:self.intercepVideoBtn];
//        [self addSubview:self.creatGifBtn];
//        [self addSubview:self.interceptOrGifSelectedBackView];
//        self.backgroundColor = [UIColor clearColor];
//        self.hidden = YES;
//        self.context = context;
//        self.tool = [[JDCloudInterceptOrGifTool alloc] init];
//        self.tool.context = context;
//        [self addSubview:self.loadingView];
//        self.finishBtn.userInteractionEnabled = NO;
//        
//        //增加通知
//        [self addNotifications];
//    }
//    return self;
//}
//
//- (void)starteTimer
//{
//    if (_timer) {
//        [_timer invalidate];
//        _timer = nil;
//    }
//    self.timer = [NSTimer scheduledTimerWithTimeInterval:0.1 target:self selector:@selector(getTimer:) userInfo:nil repeats:YES];
//    [[NSRunLoop mainRunLoop] addTimer:self.timer forMode:NSRunLoopCommonModes];
//    [self.timer fire];
//}
//
//-(void)show
//{
//    [UIView animateWithDuration:1 animations:^{
//        self.hidden = NO;
//    } completion:^(BOOL finished) {
//        if (self->_showedBlock) {
//            self->_showedBlock(@"showed");
//        }
//        self.tool.videoPath = self.videoPath;
//        self.tool.downloadVideoDurationTime = self.downloadVideoDurationTime;
//        if (self.tool.downloadVideoStartTime == (NSInteger)(self.context.jdCloudPlayer.duration - self.downloadVideoDurationTime))
//        {
//            self.playStartTime = self.downloadVideoDurationTime*2/3;
//            self.playEndTime = self.downloadVideoDurationTime;
//        } else if (self.tool.downloadVideoStartTime == 0) {
//            self.playStartTime = 0;
//            self.playEndTime = self.playStartTime + self.downloadVideoDurationTime/3;
//        } else {
//            self.playStartTime = self.downloadVideoDurationTime/3;
//            self.playEndTime = self.downloadVideoDurationTime*2/3;
//        }
//        self.tool.trimmerStartTime = self.playStartTime;
//        self.tool.trimmerEndTime = self.playEndTime;
//        [self.loadingView show];
//        self.loadingView.frame = CGRectMake((self.width -  130)/2, (self.height - 120)/2, 130, 120); //loading
//        __weak typeof(self) weakSelf = self;
//        [self.tool downloadVideo:^(NSString * _Nonnull downVideoPath) {
//            
//            [weakSelf addTrimmerView];
//            if (weakSelf.player.playerView) {
//                [weakSelf.player.playerView removeFromSuperview];
//            }
//            JDCloudOptionModel *model = [[JDCloudOptionModel alloc] init];
//            [weakSelf.player setLocalVideoWithString:downVideoPath withPlayerOption:model];
//            [weakSelf addSubview:weakSelf.player.playerView];
//            weakSelf.player.loop = 100000;
//            [weakSelf.player prepareToPlay];
//            weakSelf.player.playerView.frame = CGRectMake(ScreenWidth/2 - ((ScreenWidth*(ScreenHeight - 140.0))/ScreenHeight)/2, 59, (ScreenWidth*(ScreenHeight - 140.0))/ScreenHeight, ScreenHeight - 140);
//            
//            weakSelf.player.shouldAutoplay = YES;
//            [weakSelf.player seekToTime:weakSelf.playStartTime];
//            weakSelf.player.isMutePlaye = NO;
//            [weakSelf starteTimer];
//            weakSelf.tool.videoPath = downVideoPath;
//            weakSelf.trimmerView.thumbnailCount = 1 * self.downloadVideoDurationTime;
//            [weakSelf.tool thumbnailWithWidth:weakSelf.context.jdCloudPlayer.naturalSize.width
//                                       height:weakSelf.context.jdCloudPlayer.naturalSize.height
//                                          fps:1
//                               thumbnailPaths:^(NSArray * thumbnailPaths) {
//                                    [weakSelf.trimmerView addThumbnailPaths:thumbnailPaths];
//                                }
//                                     finished:^{
//                                         [weakSelf.loadingView dismiss];
//                                         weakSelf.finishBtn.userInteractionEnabled = YES;
//                                     }];
//        }];
//    }];
//}
//
//-(void)addTrimmerView
//{
//    if (_trimmerView) {
//        [_trimmerView removeFromSuperview];
//    }
//    [self addSubview:self.trimmerView];
//    [self.trimmerView resetSubviewsWithTotalTime:self.downloadVideoDurationTime StartTime:self.playStartTime duration:self.downloadVideoDurationTime/3];
//}
//
//-(void)hide
//{
////    [JDCloudPlayerUtil cancelRecordGifOrVideoOrThumbnail];
////    [UIView animateWithDuration:1 animations:^{
////        self.hidden = YES;
////    } completion:^(BOOL finished) {
////        if (self->_hidedBlock) {
////            self->_hidedBlock(@"hided");
////        }
////        if (self->_timer) {
////            [self.timer invalidate];
////            self.timer = nil;
////        }
////        [self.player shutdown];
////        [self.player.playerView removeFromSuperview];
////        [self removeFromSuperview];
////        
////        [self.tool deleteLoadVideoWithFinishedBlock:^{
////            
////        }];
////        [self.tool deleteThumbnailsWithFinishedBlock:^{
////            
////        }];
////    }];
//}
//
//-(void)cancelBtnTaped
//{
//   // [self hide];
////    if (self.player && self.player.isPlaying) {
////    }
////    [self cancelOpration];
////    [JDCloudPlayerUtil cancelRecordGifOrVideoOrThumbnail];
////    //收到通知后 UI隐藏
////    
//    
//}
//
//-(void)finishBtnTaped
//{
//    JDCloudVideoOrGifPreviewView *preView = [[JDCloudVideoOrGifPreviewView alloc] initWithFrame:CGRectMake(0, 0, ScreenWidth, ScreenHeight)];
//    [self addSubview:preView];
//    preView.finishBlock = ^(id info){
//        [self hide];
//    };
//    preView.cancelBlock = ^(id info){
//        [self.player start];
//    };
//    preView.sourcePath = self.tool.videoPath;
//    preView.startTime = self.tool.trimmerStartTime;
//    preView.endTime = self.tool.trimmerEndTime;
//    preView.saveSize = self.player.naturalSize;
//    [self.player pause];
//    if (self.interceptOrGifBtnSelected == self.intercepVideoBtn) {
//        [preView showVideoPreview];
//    } else {
//        [preView showGifPreView];
//    }
//}
//
//-(void)getTimer:(NSTimer *)timer
//{
//    if (ceil(self.player.currentPlayerTime - self.playStartTime) == self.playEndTime) {
//        [self.player seekToTime:self.playStartTime];
//    }
//}
//
//-(void)intercepVideoBtnTaped
//{
//    self.interceptOrGifBtnSelected = self.intercepVideoBtn;
//    self.intercepVideoBtn.titleLabel.font = [UIFont boldSystemFontOfSize:15];
//    self.creatGifBtn.titleLabel.font = [UIFont systemFontOfSize:15];
//    [UIView animateWithDuration:0.5 animations:^{
//        self.interceptOrGifSelectedBackView.left = self.interceptOrGifBtnSelected.left + 10;
//    }];
//}
//
//
//-(void)creatGifBtnTaped
//{
//    self.interceptOrGifBtnSelected = self.creatGifBtn;
//    self.intercepVideoBtn.titleLabel.font = [UIFont systemFontOfSize:15];
//    self.creatGifBtn.titleLabel.font = [UIFont boldSystemFontOfSize:15];
//    [UIView animateWithDuration:0.5 animations:^{
//        self.interceptOrGifSelectedBackView.left = self.creatGifBtn.left + 10;
//    }];
//}
//
//
//#pragma mark - 懒加载
//-(UIView *)blackView
//{
//    if (!_blackView) {
//        _blackView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, ScreenWidth, ScreenHeight)];
//        _blackView.backgroundColor = [UIColor blackColor];
//        _blackView.alpha = 0.4;
//    }
//    return _blackView;
//}
//-(UIButton *)cancelBtn
//{
//    if (!_cancelBtn) {
//        _cancelBtn = [UIButton buttonWithType:UIButtonTypeCustom];
//        _cancelBtn.frame = CGRectMake(30, 25, 40, 30);
//        _cancelBtn.backgroundColor = [UIColor clearColor];
//        _cancelBtn.titleLabel.font = [UIFont systemFontOfSize:14];
//        [_cancelBtn setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
//        [_cancelBtn setTitleColor:[UIColor colorWithRed:100.0/255.0 green:148.0/255.0 blue:237.0/255.0 alpha:1.0] forState:UIControlStateSelected];
//        [_cancelBtn setTitle:@"取消" forState:UIControlStateNormal];
//        [_cancelBtn addTarget:self action:@selector(cancelBtnTaped) forControlEvents:UIControlEventTouchUpInside];
//    }
//    return _cancelBtn;
//}
//
//
//-(UIButton *)finishBtn
//{
//    if (!_finishBtn) {
//        _finishBtn = [UIButton buttonWithType:UIButtonTypeCustom];
//        _finishBtn.frame = CGRectMake(ScreenWidth - 70, 25, 40, 30);
//        _finishBtn.backgroundColor = [UIColor clearColor];
//        _finishBtn.titleLabel.font = [UIFont systemFontOfSize:14];
//        [_finishBtn setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
//        [_finishBtn setTitleColor:[UIColor colorWithRed:100.0/255.0 green:148.0/255.0 blue:237.0/255.0 alpha:1.0] forState:UIControlStateSelected];
//        [_finishBtn setTitle:@"完成" forState:UIControlStateNormal];
//        [_finishBtn addTarget:self action:@selector(finishBtnTaped) forControlEvents:UIControlEventTouchUpInside];
//    }
//    return _finishBtn;
//}
//
//
//-(UIButton *)intercepVideoBtn
//{
//    if (!_intercepVideoBtn) {
//        _intercepVideoBtn = [UIButton buttonWithType:UIButtonTypeCustom];
//        _intercepVideoBtn.frame = CGRectMake(ScreenWidth/2 - 60, 25, 50, 30);
//        _intercepVideoBtn.backgroundColor = [UIColor clearColor];
//        _intercepVideoBtn.titleLabel.font = [UIFont boldSystemFontOfSize:15];
//        [_intercepVideoBtn setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
//        [_intercepVideoBtn setTitle:@"截视频" forState:UIControlStateNormal];
//        _intercepVideoBtn.titleLabel.textAlignment = NSTextAlignmentCenter;
//        [_intercepVideoBtn addTarget:self action:@selector(intercepVideoBtnTaped) forControlEvents:UIControlEventTouchUpInside];
//        _interceptOrGifBtnSelected = _intercepVideoBtn;
//    }
//    return _intercepVideoBtn;
//}
//
//
//-(UIButton *)creatGifBtn
//{
//    if (!_creatGifBtn) {
//        _creatGifBtn = [UIButton buttonWithType:UIButtonTypeCustom];
//        _creatGifBtn.frame = CGRectMake(ScreenWidth/2 + 10, 25, 50, 30);
//        _creatGifBtn.backgroundColor = [UIColor clearColor];
//        _creatGifBtn.titleLabel.font = [UIFont systemFontOfSize:15];
//        _creatGifBtn.titleLabel.textAlignment = NSTextAlignmentCenter;
//        [_creatGifBtn setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
//        [_creatGifBtn setTitle:@"截GIF" forState:UIControlStateNormal];
//        [_creatGifBtn addTarget:self action:@selector(creatGifBtnTaped) forControlEvents:UIControlEventTouchUpInside];
//    }
//    return _creatGifBtn;
//}
//
//-(UIView *)interceptOrGifSelectedBackView
//{
//    if (!_interceptOrGifSelectedBackView) {
//        _interceptOrGifSelectedBackView = [[UIView alloc] initWithFrame:CGRectMake(self.interceptOrGifBtnSelected.left + 10,self.interceptOrGifBtnSelected.bottom, self.interceptOrGifBtnSelected.width - 20, 3)];
//        _interceptOrGifSelectedBackView.backgroundColor = [UIColor whiteColor];
//    }
//    return _interceptOrGifSelectedBackView;
//}
//
//-(JDCloudVideoTrimmerView *)trimmerView
//{
//    if (!_trimmerView) {
//        _trimmerView = [[JDCloudVideoTrimmerView alloc] initWithFrame:CGRectMake(0, ScreenHeight - 80, ScreenWidth, 80)];
//        _trimmerView.themeColor = [UIColor colorWithRed:241.0/255.0 green:71.0/255.0 blue:71.0/255.0 alpha:1];
//        _trimmerView.borderWidth = 2;
//        _trimmerView.delegate = self;
//    }
//    return _trimmerView;
//}
//
//- (JDCloudPlayer *)player
//{
//    if (!_player) {
//        _player = [[JDCloudPlayer alloc]init];
//    }
//    return _player;
//}
//
////loading
//- (JDCloudPlayerLoadingView *)loadingView{
//    if (!_loadingView) {
//        _loadingView = [[JDCloudPlayerLoadingView alloc] init];
//    }
//    return _loadingView;
//}
//
//#pragma mark JDCloudVideoTrimmerDelegate
//- (void)trimmerDidChangeLeftPosition:(CGFloat)startTime rightPosition:(CGFloat)endTime
//{
//    self.playStartTime = startTime;
//    self.playEndTime = endTime;
//    [self.player seekToTime:self.playStartTime];
//    self.tool.trimmerStartTime = startTime;
//    self.tool.trimmerEndTime = endTime;
//}
//
//#pragma mark -
//#pragma mark - 通知
//- (void)addNotifications
//{
//    //gif 取消 或者出错的通知。
//    [[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(changeVideoOrGifErrorState:) name:@"JDVideoPlayVideoOrGifErrorStateNotification" object:nil];
//}
//
////屏幕变化的通知
//- (void)changeVideoOrGifErrorState:(NSNotification *)infoNotification
//{
//    [self cancelOpration];
//}
//
//-(void)cancelOpration
//{
//    [UIView animateWithDuration:1 animations:^{
//        self.hidden = YES;
//    } completion:^(BOOL finished) {
//        if (self->_hidedBlock) {
//            self->_hidedBlock(@"hided");
//        }
//        if (self->_timer) {
//            [self.timer invalidate];
//            self.timer = nil;
//        }
//        [self.player shutdown];
//        [self.player.playerView removeFromSuperview];
//        [self removeFromSuperview];
//        
//        [self.tool deleteLoadVideoWithFinishedBlock:^{
//            
//        }];
//        [self.tool deleteThumbnailsWithFinishedBlock:^{
//            
//        }];
//    }];
//}
//
//@end
