////
////  JDCloudInterceptOrGifTool.m
////  jdcloud_ios_live_demo
////
////  Created by 王亚伟 on 2018/11/8.
////  Copyright © 2018年 pengdandan. All rights reserved.
////
//
//#import "JDCloudInterceptOrGifTool.h"
////#import "JDVPlayer/JDCloudPlayerUtil.h"
//
//@interface JDCloudInterceptOrGifTool()
//{
//
//}
//
//@property (nonatomic, strong)NSString *thumbnailPath;
//@property (nonatomic, strong)NSString *downloadVideoPath;
//@property (nonatomic, assign)NSInteger downloadVideoStartTime;
//@property (nonatomic, assign)NSInteger downloadVideoEndTime;
//@property (nonatomic, strong)NSString *gifPath;
//@property (nonatomic, strong)NSString *recordVideoPath;
//@property (nonatomic, strong)NSString *cachesPath;
//
//
//@end
//
//
//@implementation JDCloudInterceptOrGifTool
//
//- (instancetype)init
//{
//    self = [super init];
//    if (self) {
//        self.cachesPath = [NSSearchPathForDirectoriesInDomains(NSCachesDirectory,NSUserDomainMask, YES) objectAtIndex:0];
//    }
//    return self;
//}
//
//-(void)setDownloadVideoDurationTime:(NSInteger)downloadVideoDurationTime
//{
//    _downloadVideoDurationTime = downloadVideoDurationTime;
//    NSTimeInterval currentPlayerTime = self.context.jdCloudPlayer.currentPlayerTime;
//    if (currentPlayerTime >= _downloadVideoDurationTime/2 && currentPlayerTime <= self.context.jdCloudPlayer.duration - _downloadVideoDurationTime/2) {
//        self.downloadVideoStartTime = (NSInteger)(currentPlayerTime - downloadVideoDurationTime/2.0);
//    } else if (currentPlayerTime < _downloadVideoDurationTime/2) {
//        self.downloadVideoStartTime = 0;
//    } else if (currentPlayerTime > self.context.jdCloudPlayer.duration - _downloadVideoDurationTime/2) {
//        self.downloadVideoStartTime = (NSInteger)(self.context.jdCloudPlayer.duration - _downloadVideoDurationTime);
//    }
//    self.downloadVideoEndTime = self.downloadVideoStartTime + downloadVideoDurationTime;
//    self.downloadVideoPath = [NSString stringWithFormat:@"/%@/%ld",@"downLoadVideoDirectory",(long)self.downloadVideoStartTime];
//    self.thumbnailPath = [NSString stringWithFormat:@"/%@/%ld",@"thumbnailsDirectory",(long)self.downloadVideoStartTime];
//}
//
//-(BOOL)createDir:(NSString *)fileName inCahce:(NSString *)cachePath{
//    NSString * path = [NSString stringWithFormat:@"%@/%@",cachePath,fileName];
//    NSFileManager *fileManager = [NSFileManager defaultManager];
//    BOOL isDir;
//    if (![fileManager fileExistsAtPath:path isDirectory:&isDir]) {
//        //先判断目录是否存在，不存在才创建
//        BOOL res = [fileManager createDirectoryAtPath:path
//                          withIntermediateDirectories:YES
//                                           attributes:nil
//                                                error:nil];
//        return res;
//    } else {
//        return YES;
//    }
//}
//
////截取小视频，指定参数，分辨率保持与原视频相同
//- (void)downloadVideo:(JDCloudInterceptOrGifToolDownVideoBlock)downBlock
//{
//    if ([self createDir:self.downloadVideoPath inCahce:self.cachesPath]) {
//        NSString *downloadVideoDirectoryPath = [self.cachesPath stringByAppendingString:self.downloadVideoPath];
//        [JDCloudPlayerUtil downloadVideo:self.videoPath
//                                destPath:downloadVideoDirectoryPath
//                               startTime:self.downloadVideoStartTime
//                                 endTime:self.downloadVideoEndTime
//                                progress:^(float frameTime,int frameIndex) {
//                                    NSLog(@"downloadVideo frameTime is %f",frameTime);
//                                }
//                   downloadVideoFinished:^(int ret){
//                     // ret 0 正确   -1 取消or出错
//                       if(ret == 0){
//                           NSFileManager *fileManager = [NSFileManager defaultManager];
//                           BOOL isDir = YES;
//                           if ([fileManager fileExistsAtPath:downloadVideoDirectoryPath isDirectory:(&isDir)]) {
//                               NSError *error = nil;
//                               NSArray *videoArray = [fileManager contentsOfDirectoryAtPath:downloadVideoDirectoryPath error:&error];
//                               NSString *videoPath = [NSString stringWithFormat:@"%@/%@",downloadVideoDirectoryPath,(NSString *)videoArray.firstObject];
//                               if (downBlock) {
//                                   downBlock(videoPath);
//                               }
//                           }
//                       }else{
//                           //发通知 取消按钮执行取消
//                           [[NSNotificationCenter defaultCenter] postNotificationName:@"JDVideoPlayVideoOrGifErrorStateNotification" object:nil userInfo:nil];
//                       }
//               }];
//    };
//}
//
////视频转GIF，指定参数
//- (void)recordVideodestWithImageWidth:(NSInteger)width
//                             progress:(JDCloudInterceptOrGifToolRecordVideoProgressBlock)progress
//                               finish:(JDCloudInterceptOrGifToolRecordVideoBlock)recordBlock
//{
//    self.recordVideoPath = [NSString stringWithFormat:@"/%@/%ld",@"recordVideoDirectory",(long)self.trimmerStartTime];
//    if ([self createDir:self.recordVideoPath inCahce:self.cachesPath]) {
//        NSString *recordVideoDirectoryPath = [self.cachesPath stringByAppendingString:self.recordVideoPath];
//        [JDCloudPlayerUtil recordVideo:self.videoPath
//                              destPath:recordVideoDirectoryPath
//                            imageWidth:width
//                             startTime:self.trimmerStartTime
//                               endTime:self.trimmerEndTime
//                              progress:^(float frameTime,int frameIndex) {
//                                  if (progress) {
//                                      progress(frameTime);
//                                  }
//                              }
//                   recordVideoFinished:^(int ret){
//                       // ret 0 正确   -1 取消or出错
//                       if(ret == 0){
//                           NSFileManager *fileManager = [NSFileManager defaultManager];
//                           BOOL isDir = YES;
//                           if ([fileManager fileExistsAtPath:recordVideoDirectoryPath isDirectory:(&isDir)]) {
//                               NSError *error = nil;
//                               NSArray *array = [fileManager contentsOfDirectoryAtPath:recordVideoDirectoryPath error:&error];
//                               if(recordBlock) {
//                                   recordBlock([NSString stringWithFormat:@"%@/%@",recordVideoDirectoryPath,(NSString *)array.firstObject]);
//                               }
//                           }
//                       }else{
//                           //发通知 取消按钮执行取消
//                           [[NSNotificationCenter defaultCenter] postNotificationName:@"JDVideoPlayVideoOrGifErrorStateNotification" object:nil userInfo:nil];
//                       }
//               }];
//    };
//}
////视频转GIF，指定参数
//- (void)recordGifWidth:(NSInteger)width
//                   fps:(CGFloat)fps
//              progress:(JDCloudInterceptOrGifToolGifProgressBlock)progress
//                finish:(JDCloudInterceptOrGifToolGifBlock)gifBlock
//{
//    self.gifPath = [NSString stringWithFormat:@"/%@/%ld",@"gifDirectory",(long)self.trimmerStartTime];
//    __weak typeof(self) weakSelf = self;
//    if ([self createDir:self.gifPath inCahce:self.cachesPath]) {
//        NSString *gifDirectoryPath = [self.cachesPath stringByAppendingString:self.gifPath];
//        [JDCloudPlayerUtil recordGif:self.videoPath
//                            destPath:gifDirectoryPath
//                               width:width
//                                 fps:fps
//                            duration:self.trimmerEndTime - self.trimmerStartTime
//                           startTime:self.trimmerStartTime
//                            progress:^(float frameTime,int frameIndex) {
//                                NSLog(@"gif frameTime is %f",frameTime);
//                                if (progress) {
//                                    progress(frameTime);
//                                }
//                            }
//                   recordGifFinished:^(int ret){
//                       // ret 0 正确   -1 取消or出错
//                       if(ret == 0){
//                           NSFileManager *fileManager = [NSFileManager defaultManager];
//                           BOOL isDir = YES;
//                           if ([fileManager fileExistsAtPath:gifDirectoryPath isDirectory:(&isDir)]) {
//                               NSError *error = nil;
//                               NSArray *array = [fileManager contentsOfDirectoryAtPath:gifDirectoryPath error:&error];
//                               if (gifBlock) {
//                                   gifBlock([NSString stringWithFormat:@"%@/%@",gifDirectoryPath,(NSString *)array.firstObject]);
//                                   
//                               }
//                           }
//                       }else{
//                           //发通知 取消按钮执行取消
//                          [[NSNotificationCenter defaultCenter] postNotificationName:@"JDVideoPlayVideoOrGifErrorStateNotification" object:nil userInfo:nil];
//                       }
//               }];
//    };
//}
//
////获取缩略图，指定参数
//- (void)thumbnailWithWidth:(NSInteger)width
//                    height:(NSInteger)height
//                       fps:(CGFloat)fps
//            thumbnailPaths:(JDCloudInterceptOrGifToolThumbnailsBlock)thumbnailsBlock
//                  finished:(JDCloudInterceptOrGifToolThumbnailsFinished)finished
//{
//    __block NSInteger hadGetFrameIndex = 0;
//    if ([self createDir:self.thumbnailPath inCahce:self.cachesPath]) {
//        NSString *thumbnailDirectoryPath = [self.cachesPath stringByAppendingString:self.thumbnailPath];
//        [JDCloudPlayerUtil thumbnail:self.videoPath
//                            destPath:thumbnailDirectoryPath
//                               width:width
//                              height:height
//                                 fps:fps
//                            duration:self.downloadVideoDurationTime
//                           startTime:0
//                            progress:^(float frameTime,int frameIndex){
//                                if (frameIndex > hadGetFrameIndex) {
//                                    NSFileManager *fileManager = [NSFileManager defaultManager];
//                                    BOOL isDir = YES;
//                                    if ([fileManager fileExistsAtPath:thumbnailDirectoryPath isDirectory:(&isDir)]) {
//                                        NSError *error = nil;
//                                        NSArray *imagesArray = [fileManager contentsOfDirectoryAtPath:thumbnailDirectoryPath error:&error];
//                                        NSArray *sorThumbnials = [self sortThumbnails:imagesArray];
//                                        NSMutableArray *arrayThumbnialsPath = [NSMutableArray array];
//                                        for (int i = 0; i < sorThumbnials.count; i++) {
//                                            NSString *thumbnialPath = [NSString stringWithFormat:@"%@/%@",thumbnailDirectoryPath,(NSString *)sorThumbnials[i]];
//                                            [arrayThumbnialsPath addObject:thumbnialPath];
//                                        }
//                                        if (thumbnailsBlock) {
//                                            thumbnailsBlock(arrayThumbnialsPath);
//                                        }
//                                    }
//                                    hadGetFrameIndex = frameIndex;
//                                }
//                            }];
//        if (finished) {
//            finished();
//        }
//    };
//}
//
//- (void)deleteThumbnailsWithFinishedBlock:(JDCloudInterceptOrGifToolDeleteDirectoryFinished)finished
//{
//    __weak typeof(self) weakSelf = self;
//    dispatch_async(dispatch_get_global_queue(0, 0), ^{
//        NSString *thumbnailDirectoryPath = [weakSelf.cachesPath stringByAppendingString:weakSelf.thumbnailPath];
//        NSFileManager *fileManager = [NSFileManager defaultManager];
//        BOOL isHave = [fileManager fileExistsAtPath:thumbnailDirectoryPath];
//        BOOL isDeleted = NO;
//        if (!isHave) {
//            return ;
//        } else {
//            isDeleted = [fileManager removeItemAtPath:thumbnailDirectoryPath error:nil];
//            if (isDeleted) {
//                NSLog(@"dele success");
//            }else {
//                NSLog(@"dele fail");
//            }
//        }
//        dispatch_async(dispatch_get_main_queue(), ^{
//            if (finished) {
//                finished();
//            }
//        });
//    });
//}
//
//- (void)deleteLoadVideoWithFinishedBlock:(JDCloudInterceptOrGifToolDeleteDirectoryFinished)finished
//{
//    __weak typeof(self) weakSelf = self;
//    dispatch_async(dispatch_get_global_queue(0, 0), ^{
//        NSString *loadVideoDirectoryPath = [weakSelf.cachesPath stringByAppendingString:weakSelf.downloadVideoPath];
//        NSFileManager *fileManager = [NSFileManager defaultManager];
//        BOOL isHave = [fileManager fileExistsAtPath:loadVideoDirectoryPath];
//        BOOL isDeleted = NO;
//        if (!isHave) {
//            return ;
//        } else {
//            isDeleted = [fileManager removeItemAtPath:loadVideoDirectoryPath error:nil];
//            if (isDeleted) {
//                NSLog(@"dele success");
//            }else {
//                NSLog(@"dele fail");
//            }
//        }
//        dispatch_async(dispatch_get_main_queue(), ^{
//            if (finished) {
//                finished();
//            }
//        });
//    });
//}
//
//- (void)deleteRecordVideoWithFinishedBlock:(JDCloudInterceptOrGifToolDeleteDirectoryFinished)finished
//{
//    dispatch_async(dispatch_get_global_queue(0, 0), ^{
//        NSString *recordVideoDirectoryPath = [self.cachesPath stringByAppendingString:self.recordVideoPath];
//        NSFileManager *fileManager = [NSFileManager defaultManager];
//        BOOL isHave = [fileManager fileExistsAtPath:recordVideoDirectoryPath];
//        BOOL isDeleted = NO;
//        if (!isHave) {
//            return ;
//        } else {
//            isDeleted = [fileManager removeItemAtPath:recordVideoDirectoryPath error:nil];
//            if (isDeleted) {
//                NSLog(@"dele success");
//            }else {
//                NSLog(@"dele fail");
//            }
//        }
//        dispatch_async(dispatch_get_main_queue(), ^{
//            if (finished) {
//                finished();
//            }
//        });
//    });
//}
//
//- (void)deleteGifWithFinishedBlock:(JDCloudInterceptOrGifToolDeleteDirectoryFinished)finished
//{
//    dispatch_async(dispatch_get_global_queue(0, 0), ^{
//        NSString *gifDirectoryPath = [self.cachesPath stringByAppendingString:self.gifPath];
//        NSFileManager *fileManager = [NSFileManager defaultManager];
//        BOOL isHave = [fileManager fileExistsAtPath:gifDirectoryPath];
//        BOOL isDeleted = NO;
//        if (!isHave) {
//            return ;
//        } else {
//            isDeleted = [fileManager removeItemAtPath:gifDirectoryPath error:nil];
//            if (isDeleted) {
//                NSLog(@"dele success");
//            }else {
//                NSLog(@"dele fail");
//            }
//        }
//        dispatch_async(dispatch_get_main_queue(), ^{
//            if (finished) {
//                finished();
//            }
//        });
//    });
//}
//
//-(NSArray *)sortThumbnails:(NSArray *)thumbnails
//{
//    NSComparator cmptr = ^(NSString *obj1, NSString *obj2){
//        NSScanner *scanner1 = [NSScanner scannerWithString:obj1];
//        [scanner1 scanUpToCharactersFromSet:[NSCharacterSet decimalDigitCharacterSet] intoString:nil];
//        int number1;
//        [scanner1 scanInt:&number1];
//        
//        NSScanner *scanner2 = [NSScanner scannerWithString:obj2];
//        [scanner2 scanUpToCharactersFromSet:[NSCharacterSet decimalDigitCharacterSet] intoString:nil];
//        int number2;
//        [scanner2 scanInt:&number2];
//        if (number1 > number2) {
//            return (NSComparisonResult)NSOrderedDescending;
//        }
//        if (number1 < number2) {
//            return (NSComparisonResult)NSOrderedAscending;
//        }
//        return (NSComparisonResult)NSOrderedSame;
//    };
//    NSArray *sorThumbnailsArray = [thumbnails sortedArrayUsingComparator:cmptr];
//    return sorThumbnailsArray;
//}
//
//
//@end
