////
////  JDCloudVideoOrGifPreviewView.m
////  jdcloud_ios_live_demo
////
////  Created by 王亚伟 on 2018/11/9.
////  Copyright © 2018年 pengdandan. All rights reserved.
////
//
//#import "JDCloudVideoOrGifPreviewView.h"
//#import "JDCloudInterceptOrGifTool.h"
//#import <MobileCoreServices/MobileCoreServices.h>
//#import <Photos/Photos.h>
//#import "JDCloudPlayerLoadingView.h"
//#import "JDCloudProgressView.h"
//#import "UIView+Additions.h"
//#import "MBProgressHUD+Help.h"
//
//
//@interface JDCloudVideoOrGifPreviewView()
//
//@property(nonatomic, strong)UIView *blackView;
//@property(nonatomic, strong)UIImageView *backImageView;
////@property(nonatomic, strong)UIWebView *webGifView;
//@property(nonatomic, strong)JDCloudPlayer *player;
//@property(nonatomic, strong)UIButton *cancelBtn;
//@property(nonatomic, strong)UIButton *finishBtn;
//@property(nonatomic, strong)UIButton *saveToPhotoLib;
//@property(nonatomic, strong)JDCloudInterceptOrGifTool *tool;
//@property(nonatomic, strong)NSString *recordVideoPath;
//@property(nonatomic, strong)NSString *recordGifPath;
//@property(nonatomic, strong)JDCloudPlayerLoadingView *loadingView;
//@property(nonatomic, strong)JDCloudProgressView *progressView;
//
//@end
//
//@implementation JDCloudVideoOrGifPreviewView
//
//- (instancetype)initWithFrame:(CGRect)frame
//{
//    self = [super initWithFrame:frame];
//    if (self) {
//        [self addSubview:self.blackView];
//        [self addSubview:self.backImageView];
//        self.backgroundColor = [UIColor clearColor];
//        [self addSubview:self.cancelBtn];
//        [self addSubview:self.finishBtn];
//        [self addSubview:self.saveToPhotoLib];
//        self.tool = [[JDCloudInterceptOrGifTool alloc] init];
//        [self addSubview:self.loadingView];
//        [self addSubview:self.progressView];
//        self.finishBtn.userInteractionEnabled = NO;
//    }
//    return self;
//}
//
//- (void)showVideoPreview
//{
//    self.tool.videoPath = self.sourcePath;
//    self.tool.trimmerEndTime = _endTime;
//    self.tool.trimmerStartTime = _startTime;
//    [self.loadingView show];
//    [self.progressView setIsGifProgress:NO];
//    [self.progressView setProgress:0];
//    [self showBackImageView];
//    __weak typeof(self) weakSelf = self;
//    [self.tool recordVideodestWithImageWidth:self.saveSize.width
//                                    progress:^(CGFloat progress) {
//                                        NSLog(@"video progress is %f",progress);
//                                        CGFloat totalTime = ceil(progress)/(weakSelf.tool.trimmerEndTime - weakSelf.tool.trimmerStartTime);
//                                        [weakSelf.progressView setProgress:totalTime];
//                                    }
//                                      finish:^(NSString * recordVideoPath) {
//                                          weakSelf.recordVideoPath = recordVideoPath;
//                                          JDCloudOptionModel *model = [[JDCloudOptionModel alloc] init];
//                                          [weakSelf.player setLocalVideoWithString:recordVideoPath withPlayerOption:model];
//                                          [weakSelf addSubview:weakSelf.player.playerView];
//                                          weakSelf.player.loop = 10000;
//                                          [weakSelf.player prepareToPlay];
//                                          weakSelf.player.playerView.frame = CGRectMake(ScreenWidth/2 - ((ScreenWidth*(ScreenHeight - 180.0))/ScreenHeight)/2, 59, (ScreenWidth*(ScreenHeight - 180.0))/ScreenHeight, ScreenHeight - 180);
//                                          weakSelf.player.shouldAutoplay = YES;
//                                          weakSelf.player.isMutePlaye = NO;
//                                          weakSelf.finishBtn.userInteractionEnabled = YES;
//                                          [weakSelf.loadingView dismiss];
//                                          weakSelf.backImageView.hidden = YES;
//                                      }];
//
//}
//
//- (void)showGifPreView
//{
////    [self addSubview:self.webGifView];
////    self.tool.videoPath = self.sourcePath;
////    self.tool.trimmerEndTime = _endTime;
////    self.tool.trimmerStartTime = _startTime;
////    [self.loadingView show];
////    self.progressView.top = self.webGifView.bottom;
////    [self.progressView setIsGifProgress:YES];
////    [self.progressView setProgress:0];
////    [self showBackImageView];
////    __weak typeof(self) weakSelf = self;
////    [self.tool recordGifWidth:self.saveSize.width
////                          fps:10
////                     progress:^(CGFloat progress) {
////                         [weakSelf.progressView setProgress:ceil(progress)/(weakSelf.tool.trimmerEndTime - weakSelf.tool.trimmerStartTime)];
////                     }
////                       finish:^(NSString * _Nonnull gifPath) {
////                           weakSelf.recordGifPath = gifPath;
////                           NSData *gifData = [NSData dataWithContentsOfFile:gifPath];
////                           weakSelf.webGifView.scalesPageToFit = YES;
////                           //禁止滚动
////                           weakSelf.webGifView.scrollView.scrollEnabled = NO;
////                           //设置透明效果
////                           weakSelf.webGifView.backgroundColor = [UIColor clearColor];
////                           weakSelf.webGifView.opaque = 0;
////                           //加载数据
////                           [weakSelf.webGifView loadData:gifData MIMEType:@"image/gif" textEncodingName:nil baseURL:nil];
////                           weakSelf.finishBtn.userInteractionEnabled = YES;
////                           [weakSelf.loadingView dismiss];
////                           weakSelf.backImageView.hidden = YES;
////                       }];
//
//}
//
//-(void)showBackImageView
//{
////    __weak typeof(self) weakSelf = self;
////    dispatch_async(dispatch_get_global_queue(0, 0), ^{
//////        JDCloudMediaInfoProber *prober = [[JDCloudMediaInfoProber alloc] initWithContentURL:[NSURL fileURLWithPath:weakSelf.tool.videoPath]];
//////        UIImage *image = [prober getVideoThumbnailImageAtTime:weakSelf.tool.trimmerStartTime width:weakSelf.saveSize.width height:weakSelf.saveSize.height];
////        UIImage *image = [JDCloudPlayerUtil getVideoThumbnailImageWithVideoUrl:weakSelf.tool.videoPath atTime:weakSelf.tool.trimmerStartTime width:weakSelf.saveSize.width height:weakSelf.saveSize.height];
////        dispatch_sync(dispatch_get_main_queue(), ^{
////            weakSelf.backImageView.hidden = NO;
////            weakSelf.backImageView.image = image;
////        });
////    });
//}
//
//- (void)cancelBtnTaped
//{
////    [JDCloudPlayerUtil cancelRecordGifOrVideoOrThumbnail];
////    [self removeGifOrRecordVideoDir];
////    [self removeFromSuperview];
////    if (self.player) {
////        [self.player shutdown];
////        [self.player.playerView removeFromSuperview];
////    }
////
////    if (_cancelBlock) {
////        _cancelBlock(nil);
////    }
//}
//
//- (void)finishBtnTaped
//{
//    [self removeFromSuperview];
//    if (self.player) {
//        [self.player shutdown];
//        [self.player.playerView removeFromSuperview];
//    }
//    [self removeGifOrRecordVideoDir];
//    if (_finishBlock) {
//        _finishBlock(nil);
//    }
//    
//}
//
//-(void)saveToPhotoLibTaped
//{
//    [self bringSubviewToFront:self.loadingView];
//    [self.loadingView show];
//    if (self.recordGifPath) {
//        [self saveGifDataToPhotoLib];
//    } else if (self.recordVideoPath) {
//        [self saveVideoDataToPhotoLib];
//    }
//}
//
//-(void)removeGifOrRecordVideoDir
//{
//    if (self.recordGifPath) {
//        [self.tool deleteGifWithFinishedBlock:^{
//            
//        }];
//    } else {
//        [self.tool deleteRecordVideoWithFinishedBlock:^{
//            
//        }];
//    }
//}
//
//- (void)video:(NSString *)videoPath didFinishSavingWithError:(NSError *)error contextInfo:(void *)contextInf{
//    if (error) {
//        [self.loadingView dismiss];
//        [MBProgressHUD showHUDInView:self HudType:MBProgressHUDModeCustomView withText:@"保存到相册失败～"];
//
//    }else{
//        dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(0.8 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
//            [self.loadingView dismiss];
//            [MBProgressHUD showHUDInView:self HudType:MBProgressHUDModeCustomView withText:@"视频保存成功～"];
//        });
//    }
//}
//
//- (void)saveVideoDataToPhotoLib
//{
//    dispatch_async(dispatch_get_global_queue(DISPATCH_QUEUE_PRIORITY_DEFAULT, 0), ^{
//        if (UIVideoAtPathIsCompatibleWithSavedPhotosAlbum(self.recordVideoPath)) {
//            UISaveVideoAtPathToSavedPhotosAlbum(self.recordVideoPath, self, @selector(video:didFinishSavingWithError:contextInfo:), nil);
//        }
//    });
//}
//
//
//- (void)saveGifDataToPhotoLib
//{
//    NSData *data = [NSData dataWithContentsOfFile:self.recordGifPath];
//    NSString *version= [UIDevice currentDevice].systemVersion;
//    if(version.doubleValue >=9.0) {
//        ALAssetsLibrary *library = [[ALAssetsLibrary alloc] init];
//        NSDictionary *metadata = @{@"UTI":(__bridge NSString *)kUTTypeGIF};
//        [library writeImageDataToSavedPhotosAlbum:data metadata:metadata completionBlock:^(NSURL *assetURL, NSError *error) {
//            if (error) {
//                [MBProgressHUD showHUDInView:self HudType:MBProgressHUDModeCustomView withText:@"保存到相册失败～"];
//                [self.loadingView dismiss];
//            }else{
//                [library assetForURL:assetURL resultBlock:^(ALAsset *asset) {
//                    [MBProgressHUD showHUDInView:self HudType:MBProgressHUDModeCustomView withText:@"成功保存到相册～"];
//                    [self.loadingView dismiss];
//                } failureBlock:^(NSError *error) {
//                    [MBProgressHUD showHUDInView:self HudType:MBProgressHUDModeCustomView withText:@"保存到相册失败～～"];
//                    [self.loadingView dismiss];
//                }];
//            }
//        }];
//        
//    }else{
//        dispatch_async(dispatch_get_global_queue(DISPATCH_QUEUE_PRIORITY_DEFAULT, 0), ^{
//            if (@available(iOS 9.0, *)) {
//                [[PHPhotoLibrary sharedPhotoLibrary] performChanges:^{
//                    [[PHAssetCreationRequest creationRequestForAsset] addResourceWithType:PHAssetResourceTypePhoto data:data options:nil];
//                    
//                } completionHandler:^(BOOL success, NSError * _Nullable error) {
//                    dispatch_async(dispatch_get_main_queue(), ^{
//                        if(success && !error){
//                            [self.loadingView dismiss];
//                            [MBProgressHUD showHUDInView:self HudType:MBProgressHUDModeCustomView withText:@"保存到相册成功～"];
//                        }else
//                            [self.loadingView dismiss];
//                            [MBProgressHUD showHUDInView:self HudType:MBProgressHUDModeCustomView withText:@"保存到相册失败～"];
//
//                    });
//                }];
//            }
//        });
//        
//    }
//}
//
//#pragma mark - 懒加载
//- (UIView *)blackView
//{
//    if (!_blackView) {
//        _blackView = [[UIView alloc] initWithFrame:CGRectMake(0, 0, ScreenWidth, ScreenHeight)];
//        _blackView.backgroundColor = [UIColor blackColor];
//    }
//    return _blackView;
//}
//
////-(UIWebView *)webGifView
////{
////    if (!_webGifView) {
////        _webGifView = [[UIWebView alloc] initWithFrame:CGRectMake(ScreenWidth/2 - ((ScreenWidth*(ScreenHeight - 180.0))/ScreenHeight)/2, 59, (ScreenWidth*(ScreenHeight - 180.0))/ScreenHeight, ScreenHeight - 180)];
////        _webGifView.backgroundColor = [UIColor clearColor];
//////        _webGifView.delegate = self;
////        _webGifView.opaque = NO;
////    }
////    return _webGifView;
////}
//
//-(JDCloudPlayer *)player
//{
//    if (!_player) {
//        _player = [[JDCloudPlayer alloc] init];
//    }
//    return _player;
//}
//
//-(UIButton *)cancelBtn
//{
//    if (!_cancelBtn) {
//        _cancelBtn = [UIButton buttonWithType:UIButtonTypeCustom];
//        _cancelBtn.frame = CGRectMake(30, 25, 40, 30);
//        _cancelBtn.backgroundColor = [UIColor clearColor];
//        _cancelBtn.titleLabel.font = [UIFont systemFontOfSize:14];
//        [_cancelBtn setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
//        [_cancelBtn setTitleColor:[UIColor colorWithRed:100.0/255.0 green:148.0/255.0 blue:237.0/255.0 alpha:1.0] forState:UIControlStateSelected];
//        [_cancelBtn setTitle:@"取消" forState:UIControlStateNormal];
//        [_cancelBtn addTarget:self action:@selector(cancelBtnTaped) forControlEvents:UIControlEventTouchUpInside];
//    }
//    return _cancelBtn;
//}
//
//
//-(UIButton *)finishBtn
//{
//    if (!_finishBtn) {
//        _finishBtn = [UIButton buttonWithType:UIButtonTypeCustom];
//        _finishBtn.frame = CGRectMake(ScreenWidth - 70, 25, 40, 30);
//        _finishBtn.backgroundColor = [UIColor clearColor];
//        _finishBtn.titleLabel.font = [UIFont systemFontOfSize:14];
//        [_finishBtn setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
//        [_finishBtn setTitleColor:[UIColor colorWithRed:100.0/255.0 green:148.0/255.0 blue:237.0/255.0 alpha:1.0] forState:UIControlStateSelected];
//        [_finishBtn setTitle:@"退出" forState:UIControlStateNormal];
//        [_finishBtn addTarget:self action:@selector(finishBtnTaped) forControlEvents:UIControlEventTouchUpInside];
//    }
//    return _finishBtn;
//}
//
//-(UIButton *)saveToPhotoLib
//{
//    if (!_saveToPhotoLib) {
//        _saveToPhotoLib = [UIButton buttonWithType:UIButtonTypeCustom];
//        _saveToPhotoLib.frame = CGRectMake(ScreenWidth/2 - 40, ScreenHeight - 80, 80, 40);
//        _saveToPhotoLib.backgroundColor = [UIColor clearColor];
//        _saveToPhotoLib.titleLabel.font = [UIFont systemFontOfSize:14];
//        [_saveToPhotoLib setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
//        [_saveToPhotoLib setTitleColor:[UIColor colorWithRed:100.0/255.0 green:148.0/255.0 blue:237.0/255.0 alpha:1.0] forState:UIControlStateSelected];
//        [_saveToPhotoLib setTitle:@"保存到相册" forState:UIControlStateNormal];
//        [_saveToPhotoLib addTarget:self action:@selector(saveToPhotoLibTaped) forControlEvents:UIControlEventTouchUpInside];
//    }
//    return _saveToPhotoLib;
//}
//
////loading
//- (JDCloudPlayerLoadingView *)loadingView{
//    if (!_loadingView) {
//        _loadingView = [[JDCloudPlayerLoadingView alloc] init];
//        _loadingView.frame = CGRectMake((self.frame.size.width -  130)/2, (self.frame.size.height - 120)/2, 130, 120); //loading
//
//    }
//    return _loadingView;
//}
//
//-(JDCloudProgressView *)progressView
//{
//    if (!_progressView) {
//        _progressView = [[JDCloudProgressView alloc] initWithFrame:CGRectMake(ScreenWidth/2 - ((ScreenWidth*(ScreenHeight - 180.0))/ScreenHeight)/2, ScreenHeight - 180 + 59,(ScreenWidth*(ScreenHeight - 180.0))/ScreenHeight, 32)];
//    }
//    return _progressView;
//}
//
//-(UIImageView *)backImageView
//{
//    if (!_backImageView) {
//        _backImageView = [[UIImageView alloc] initWithFrame:CGRectMake(ScreenWidth/2 - ((ScreenWidth*(ScreenHeight - 180.0))/ScreenHeight)/2, 59, (ScreenWidth*(ScreenHeight - 180.0))/ScreenHeight, ScreenHeight - 180)];
//        _backImageView.backgroundColor = [UIColor clearColor];
//        _backImageView.hidden = YES;
//    }
//    return _backImageView;
//}
//
//@end
