//
//  JDSLayerTimeLineItem.h
//  jdcloud_shortvideo_ios
//
//  Created by 熊勇 on 2019/5/16.
//

#import <Foundation/Foundation.h>
#import <AVFoundation/AVFoundation.h>
#import "JDSTimeLineItem.h"
#import "JDSBaseLayerItemView.h"

NS_ASSUME_NONNULL_BEGIN

/*!
 @class JDSLayerTimeLineItem
 @abstract 表示时间线上的一个Layer片段
 @discussion 时间线上一个Layer片段的属性设置
 */
@interface JDSLayerTimeLineItem : JDSTimeLineItem

/*!
 @abstract Movie在时间线上的时间范围
 */
@property (nonatomic, assign) CMTimeRange timeRangeInWhole;

/*!
 @abstract TimeLineItem对应的水印View
*/

@property (nonatomic, strong) JDSBaseLayerItemView *layerItemView;

@end

NS_ASSUME_NONNULL_END
