//
//  JDSVoiceTimeLineItem.h
//  jdcloud_shortvideo_ios
//
//  Created by 杜治全 on 2019/5/13.
//  Copyright © 2019 com.jdcloud. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <AVFoundation/AVFoundation.h>
#import "JDSTimeLineItem.h"

NS_ASSUME_NONNULL_BEGIN

/*!
 @class JDSVoiceTimeLineItem
 @abstract 表示时间线上的一个录音片段
 @discussion 时间线上一个录音片段的各种属性设置
 */
@interface JDSVoiceTimeLineItem : JDSTimeLineItem
/*!
 @abstract BGM的文件路径
 */
@property (nonatomic, strong) NSString *filePath;
/*!
 @abstract BGM的音量
 */
@property (nonatomic, assign) double volume;
/*!
 @abstract BGM是否静音
 */
@property (nonatomic, assign) BOOL mute;

@end

NS_ASSUME_NONNULL_END
